Issue 80636 - Compatibility issue with dark gtk themes
Summary: Compatibility issue with dark gtk themes
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 2.2
Hardware: All Linux, all
: P4 Trivial with 44 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-13 09:03 UTC by pie_rate
Modified: 2013-02-07 22:42 UTC (History)
6 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
UI.xcu with normal colors defined by hand (sorry, I found this after posting the comment) (6.91 KB, text/plain)
2008-02-20 22:10 UTC, cz_jc
no flags Details
Screenshot - Font Preview Unreadable with Dark Theme (76.82 KB, image/jpeg)
2011-11-16 03:03 UTC, David Rankin
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description pie_rate 2007-08-13 09:03:14 UTC
In a dark system theme, Writer should display pages with a white background and
black text, regardless of the system theme's foreground/background colors.
Impress suffers from a similar issue.

http://jon.pmtech.com/~jschall/Screenshot-9.png
This example is from writer. This also occurs in Impress.
Comment 1 thorsten.martens 2007-08-13 10:44:49 UTC
TM->requirements: Not a defect but might be a wish for an enhancement. Please
have a look, thanks !
Comment 2 martinz 2007-10-21 05:39:26 UTC
In fact, the problem is worst with Impress, and may be partially solved
selecting "color" from view menu, as can be seen in the following screenshots:
http://img479.imageshack.us/my.php?image=screenshotkb8.png
http://img467.imageshack.us/my.php?image=screenshot3uu6.png

The system tray icon also gets ugly with dark themes.
Comment 3 the_it 2007-10-29 03:13:00 UTC
the_it

tm, this is a defect, not a feature request.  OpenOffice defines itself as a
WYSIWYG application.  In the case of dark themes, WYS != WYG.

It is also impossible to use oodraw practically when you have dark themes
because all colored items are rendered as white on black.  You won't be able to
see what you're coloring.

I am confirming this issue on OpenOffice 2.3.0 (Ubuntu gutsy) using the smoked
glass theme from gnome-look.org.  To reproduce simply download and apply smoked
glass (or possibly any dark theme) and OpenOffice.org will now have white on
black for dark backgrounds.

One good fix is to set OpenOffice to have a WYSIWYG mode and possibly a theme
following mode, but it seems obvious to me that WYSIWYG mode should be default.

For now I'll have to use something else to do my vector drawing. :(

===
smoked glass theme:
http://gnome-look.org/content/show.php/Smoked+Glass+v0.9.5?content=27141
Comment 4 cz_jc 2008-02-20 21:45:35 UTC
*** Issue 80636 has been confirmed by votes. ***
Comment 5 cz_jc 2008-02-20 21:57:39 UTC
Hello, I registered just to get this more votes, I found that openoffice
automatically switches to some 'high contrast mode' or something and even
disabling it in Tools -> Options -> Accessibility didn't disable it for some
reason so OO.o completely looses its WYSIWYG editor function when I use dark GTK
theme.

Currently, I have 2 workarounds:

1) Copy custom color theme (every 'Automatic color' imitated as closely as
possible as user one through every picker, phew !) in UI.xcu created under
normal colored user account to my dark themed one, over this location:
~/.ooo-2.0/user/registry/data/org/openoffice/Office/UI.xcu. I can't seem to
attach the file, dang ! So you'll have to do it by hand too I guess (or email me).

2) Compile OO.o without gnome and GTK support. (didn't try)

Please, please anyone made disabling the high contrast mode work? I really don't
want to dig into these huge sources.
Comment 6 cz_jc 2008-02-20 22:10:21 UTC
Created attachment 51616 [details]
UI.xcu with normal colors defined by hand (sorry, I found this after posting the comment)
Comment 7 slikkie 2008-03-31 22:14:31 UTC
I'm too hoping that this issue will be solved. Dark themes are getting more and
more common, because they're prettier to work with. I regret it very much that
openoffice doesn't work with my dark GTK theme.

IMHO this issue currently contains two problems:
In a dark theme OpenOffice switches to some 'high contrast mode' cz_jc
mentioned. The user should be able to disable this behavior with the option
'Automatically detect high contrast mode of operating system' but for some
reason this options doesn't work.
The page is colored black with white text. Of course this is bad in a WYSIWYG
editor as the_it mentioned. In the appearance options the page color could be
set white, but for me this leads to other problems, i can for example not see
the red ripples under a misspelled word. 
Comment 8 yorikvanhavre 2008-04-12 00:15:43 UTC
Hi, I registered to vote for this issue too... Actually those two issues.

The first one, the document background/foreground colors can be solved by
specifying a white background color (works for spreadsheet and writer only) and
choosing Color/greyscale > Color in the view menu (works for draw and
presentation only). There are a couple of annoying details, though, such as the
one slikkie says (no red lines under misspelled words)

The second one is the "hi-contrast" toolbar buttons theme being used
automatically, independently of the icon them you choose in options (if you
switch back to light gtk theme, your chosen icon theme works fine), and
independently of the accessibility options settings. For that one, I sisn't find
any workaround...
Comment 9 gehrehmee 2009-11-23 18:37:01 UTC
Makes oo nearly useless with a dark-on-light theme. This is not an enhancement
request, it's a defect.

Does OO try to mimic the theme's colors for the document presentation in other
frameworks? If a document has dark text on a light background, it should show up
as dark text on a light background, even if i'm on a weird gtk theme. The gtk
theme should not effect document presentation in any way.

Confirmed present on OO 3.1
Comment 10 azafar 2010-03-11 06:29:22 UTC
Despite being an old bug/feature request/what have you, this is still an issue.
I used to have no problem, because OOo wouldn't use my GTK+ theme by default.
I'd have to use something like the OOO_FORCE_DESKTOP env variable if I wanted my
GTK theme used. With 3.2.0, this is no longer the case. There are problem some
hacks I could do to make OOo and only OOo not use my GTK+ theme, but it would be
better for the real problem to be solved.
Comment 11 cz_jc 2010-03-11 07:34:14 UTC
As a workaround, you can export GTK2_RC_FILES to point to a 'sane' gtkrc (like
clearlooks) and then launch oo.
Comment 12 azafar 2010-03-15 00:20:12 UTC
Indeed, I will be using that, cz_jc. It would still be nicer if my GTK+ theme
could be used everywhere /except/ the actual document. Unfortunately the
workaround from a couple years ago (the one with the UI.xcu) no longer works.

Thanks for replying.
Comment 13 mini 2010-03-23 15:05:20 UTC
Wow, for me this issue is now essentially FIXED with 3.2. (see bug #35482 !)

What I did:
1. Install dark theme in gnome. OO.o initiates hi-contrast mode and becomes
lightgrey-on-dark.
2. Uncheck "Automatically detect high contrast mode" and "Use automatic font
color" - OO.o reverts to normal icons, but still uses GTK document colors
(lightgrey-on-dark)
3. Set Document background to "white" and "font color" to black. 

I now have a dark-themed OO.o but a white page! Perfect!

Now: I still argue that 

1. Auto-detect and auto font color should be off by default.
2. step 3 above should be unnecessary - default should be WYSIWYG.

if the two points above were fixed, noone would even notice a problem.
Comment 14 goofythekiller 2010-04-01 17:54:30 UTC
I also have this problem. I am using sidux with KDE version 4.3.4 and a dark
theme. The pages show all dark and the icons are in high contrast. Looks horrible.
Comment 15 cz_jc 2010-04-01 21:36:09 UTC
I agree with azafar, it would be nice. But it looks like this bug doesn't have
enough awareness. At any rate, to make your OO work more comfortable, you can
edit each /usr/share/applications/writer.desktop , impress.desktop, etc and put
in something like I have for eclipse (but for the actual oo application)
Exec=bash -c "GTK2_RC_FILES=\"/usr/share/themes/Clearlooks/gtk-2.0/gtkrc\"
eclipse-3.5"

As for launching documents, in gnome you can go into right click -> preferences
-> open with -> add -> use custom command and put something like:
bash -c "GTK2_RC_FILES=\"/usr/share/themes/Clearlooks/gtk-2.0/gtkrc\"
eclipse-3.5 %s"

That would make switching to normal theme 'seamless'. but I too would appreciate
if OO didn't stupidly switch to some idiotic hi contrast mode.
Comment 16 booksnmore4you 2010-05-05 06:50:59 UTC
This bug has been such a longstanding MAJOR headache for us Linux distro
developers, it's just awful. If your distro uses GNOME and features OpenOffice
you are *forced* to use a boring light theme. Worse, the problem has gotten
worse since OOo 3. Dark themes I spent weeks hacking and that worked in OOo 2
are now broken in OOo 3. All published workarounds from the past, except the
very problematic opening of OOo in another theme, appear broken. We really need
a real fix here, please!  
Comment 17 mini 2010-05-05 07:47:49 UTC
booksnmore4you: have you tried my suggestion above?

2. Uncheck "Automatically detect high contrast mode" and "Use automatic font
color" - OO.o reverts to normal icons, but still uses GTK document colors
(lightgrey-on-dark)
3. Set Document background to "white" and "font color" to black. 

For me, OO 3.2 is fully usable in dark theme with these tweaks. I still believe
the defaults are all wrong, but it's now possible to fix this via settings in
OO, which is an improvement. 
Comment 18 booksnmore4you 2010-05-05 15:25:04 UTC
mini:

That does not work for me.

The following little trick, however, while not fixing the issue, makes OOo usable.

At the bottom of your ".profile" file located in your home directory
(/home/username), place this:

export SAL_USE_VCLPLUGIN=gen

Then logout and log back in.
Comment 19 bgs 2010-06-03 11:58:50 UTC
Same issue with 3.2.0 and KDE 4.4.3 and dark theme. Used to work with 3.1.0
though. Now openoffice is nearly unusable.
Comment 20 David Rankin 2011-11-16 03:03:29 UTC
Created attachment 77024 [details]
Screenshot - Font Preview Unreadable with Dark Theme

Screenshot with 'BlueNight-II' gtk theme
Comment 21 David Rankin 2011-11-16 03:04:47 UTC
This is a prime candidate for being fixed in the first AOO release. With the advent of recent desktops, there have been an overwhelming number of dark themes created and some are the default in distributions. The current rendering of 'Black' text as a preview font is unreadable. This is not affected by the:

Accessibility > Automatically detect high contrast theme setting.

(although you must disable this feature if using a dark theme to change the icon theme [OO defaults to high-contrast with dark themes making the theme impossible to change])

This is one of the first things a user of a dark theme sees when they look at the font preview. If you use a dark theme -- it is unreadable. (see attachment Screenshot)
Comment 22 ryusei 2012-01-14 02:14:49 UTC
Confirmed this bug is still present in OOO330m20 build 9567 running xp64pro.
Changes to background colour of cells in calc has no visible effect while under a light-on-dark desktop theme.